%define        majver %(echo %version | cut -d. -f1-2)
%define        minver %(echo %version | cut -d. -f3)
Name:          puredata
Version:       0.55.2
Release:       1mamba
Summary:       A real-time graphical programming environment for audio, video, and graphical processing
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://puredata.info
Source0:       http://msp.ucsd.edu/Software/pd-%{majver}-%{minver}.src.tar.gz
#Source0:       http://downloads.sourceforge.net/project/pure-data/pure-data/%{version}/pd-%{majver}-%{minver}.src.tar.gz
Source1:       %{name}.png
Patch0:        pd-0.41-4-makefile.patch
Patch1:        pd-0.41-4-filetmp.patch
Patch2:        %{name}-0.42.5-DESTDIR.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
## AUTOBUILDREQ-END

%description
PD (aka Pure Data) is a real-time graphical programming environment for audio, video, and graphical processing. It is the third major branch of the family of patcher programming languages known as Max (Max/FTS, ISPW Max, Max/MSP, jMax, etc.) originally developed by Miller Puckette and company at IRCAM. The core of Pd is written and maintained by Miller Puckette and includes the work of many developers, making the whole package very much a community effort.
Pd was created to explore ideas of how to further refine the Max paradigm with the core ideas of allowing data to be treated in a more open-ended way and opening it up to applications outside of audio and MIDI, such as graphics and video. 
It is easy to extend Pd by writing object classes ("externals") or patches ("abstractions"). The work of many developers is already available as part of the standard Pd packages and the Pd developer community is growing rapidly. Recent developments include a system of abstractions for building performance environments; a library of objects for physical modeling; and a library of objects for generating and processing video in realtime.
Pd is free software and can be downloaded either as an OS-specific package, source package, or directly from CVS. Pd was written to be multi-platform and therefore is quite portable; versions exist for Win32, IRIX, GNU/Linux, BSD, and MacOS X running on anything from a PocketPC to an old Mac to a brand new PC. It is possible to write externals and patches that work with Max/MSP and Pd using flext and cyclone.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n pd-%{majver}-%{minver}
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
./autogen.sh

%build
%configure \
   --enable-jack \
   --enable-alsa \
   --disable-portaudio

make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall MANINSTDIR=%{buildroot}/%{_mandir}

rm -f %{buildroot}%{_libdir}/pd/bin/pd
ln -s %{_bindir}/pd %{buildroot}%{_libdir}/pd/bin/pd

mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

install -m 644 %{S:1} %{buildroot}%{_datadir}/pixmaps

cat > %{buildroot}%{_datadir}/applications/puredata.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=PureData
GenericName=Sound Editor
Comment=Synth
Icon=/usr/share/pixmaps/puredata.png
Exec=/usr/bin/pd
Terminal=false
Categories=Application;AudioVideo;Synthesis;
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/pd
%{_bindir}/pd-gui
%{_bindir}/pdreceive
%{_bindir}/pdsend
%{_datadir}/pixmaps/puredata.png
%{_datadir}/applications/puredata.desktop
%{_datadir}/applications/org.puredata.pd-gui.desktop
%{_datadir}/metainfo/org.puredata.pd-gui.metainfo.xml
%dir %{_libdir}/pd
%{_libdir}/pd/*
%dir %{_datadir}/pd
%{_datadir}/pd/*.txt
%dir %{_datadir}/pd/font
%{_datadir}/pd/font/DejaVuSansMono*.ttf
%{_datadir}/pd/font/LICENSE
%{_datadir}/pd/font/README.txt
%{_datadir}/icons/hicolor/*/apps/puredata.png
%{_datadir}/icons/hicolor/scalable/apps/puredata.svg
%{_datadir}/pixmaps/puredata.xpm
%{_mandir}/man1/pd.1*
%{_mandir}/man1/pdreceive.1*
%{_mandir}/man1/pdsend.1*

%files devel
%defattr(-,root,root)
%{_includedir}/m_pd.h
%dir %{_includedir}/pd
%{_includedir}/pd/*.h
%{_libdir}/pkgconfig/pd.pc

%changelog
* Mon Nov 18 2024 Automatic Build System <autodist@openmamba.org> 0.55.2-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 0.55.1-1mamba
- automatic version update by autodist

* Tue Jun 11 2024 Automatic Build System <autodist@openmamba.org> 0.55.0-1mamba
- automatic version update by autodist

* Tue Oct 31 2023 Automatic Build System <autodist@mambasoft.it> 0.54.1-1mamba
- automatic version update by autodist

* Wed Jul 19 2023 Automatic Build System <autodist@mambasoft.it> 0.54.0-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 0.53.1-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 0.53.0-1mamba
- automatic version update by autodist

* Mon Mar 28 2022 Automatic Build System <autodist@mambasoft.it> 0.52.2-1mamba
- automatic version update by autodist

* Tue Dec 21 2021 Automatic Build System <autodist@mambasoft.it> 0.52.1-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Automatic Build System <autodist@mambasoft.it> 0.51.4-1mamba
- automatic version update by autodist

* Wed Aug 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.47.1-1mamba
- update to 0.47.1

* Thu Aug 01 2013 Automatic Build System <autodist@mambasoft.it> 0.43.4-1mamba
- update to 0.43.4

* Thu Aug 01 2013 Automatic Build System <autodist@mambasoft.it> 0.42.5-2mamba
- automatic rebuild by autodist

* Mon Jul 27 2009 Automatic Build System <autodist@mambasoft.it> 0.42.5-1mamba
- update to 0.42.5

* Mon Jul 27 2009 Automatic Build System <autodist@mambasoft.it> 0.42-1mamba
- automatic update by autodist

* Thu Oct 02 2008 gil <puntogil@libero.it> 0.41-2mamba
- changed configure options, added: enable-jackenable-alsa

* Wed Oct 01 2008 gil <puntogil@libero.it> 0.41-1mamba
- update to 0.41
- added desktop file

* Fri Jan 06 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1-1qilnx
- package created by autospec
